diff -ur faac-1.28.orig/configure.in faac-1.28/configure.in
--- faac-1.28.orig/configure.in	2009-02-05 02:55:38.000000000 +0200
+++ faac-1.28/configure.in	2009-07-10 13:21:34.000000000 +0300
@@ -28,14 +28,17 @@
 AC_CHECK_LIB(gnugetopt, getopt_long)
 
 AM_CONDITIONAL(WITH_MP4V2, false)
+AM_CONDITIONAL(WITH_EXTERNAL_MP4V2, false)
 
 AC_CHECK_DECLS([MP4Create, MP4MetadataDelete],
                AC_CHECK_LIB(mp4v2, MP4MetadataDelete, external_mp4v2=yes,
                             external_mp4v2=no, -lstdc++),
-               external_mp4v2=no, [#include <mp4.h>])
+               external_mp4v2=no, [#include <mp4v2/mp4v2.h>])
 
 if test x$external_mp4v2 = xyes; then
   AC_MSG_NOTICE([*** Building with external mp4v2 ***])
+  MY_DEFINE(HAVE_LIBMP4V2)
+  AM_CONDITIONAL(WITH_EXTERNAL_MP4V2, true)
 else
   if test x$WITHMP4V2 = xyes; then
      AC_MSG_NOTICE([*** Building with internal mp4v2 ***])
diff -ur faac-1.28.orig/frontend/main.c faac-1.28/frontend/main.c
--- faac-1.28.orig/frontend/main.c	2009-01-24 03:10:20.000000000 +0200
+++ faac-1.28/frontend/main.c	2009-07-10 13:22:18.000000000 +0300
@@ -30,7 +30,7 @@
 #endif
 
 #ifdef HAVE_LIBMP4V2
-# include <mp4.h>
+# include <mp4v2/mp4v2.h>
 #endif
 
 #define DEFAULT_TNS     0
diff -ur faac-1.28.orig/frontend/Makefile.am faac-1.28/frontend/Makefile.am
--- faac-1.28.orig/frontend/Makefile.am	2008-12-16 02:56:00.000000000 +0200
+++ faac-1.28/frontend/Makefile.am	2009-07-10 13:21:55.000000000 +0300
@@ -8,5 +8,9 @@
 LDADD = $(top_builddir)/libfaac/libfaac.la $(top_srcdir)/common/mp4v2/libmp4v2.a -lm -lstdc++
 else
 INCLUDES = -I$(top_srcdir)/include 
+if WITH_EXTERNAL_MP4V2
+LDADD = $(top_builddir)/libfaac/libfaac.la -lm -lmp4v2
+else
 LDADD = $(top_builddir)/libfaac/libfaac.la -lm
 endif
+endif
